Subject: [dns-dir] FYI: net4d

From: Olaf Kolkman <[email-masked]>
Date: Thu, 24 Sep 2009 11:16:46 +0200

DNS Folk,

I've just mailed this to the IAB, I think it is relevant for the  
directorate as well. I've set the reply field to include the IAB and  
others.

-----

Over the last month several folk made me aware of a propsal from Dr.  
Frcancis Muget. A recent mail from Austrian colleagues is the first  
blob below, and gives the context.

When I was first approached by Desiree Milosovich I've answered her  
with "Some personal views and the question, Should we really spend  
time on this". When Bill Graham approached me and Patrik I forwarded  
the initial mail I send to Desiree and Bill and Patrik improved the  
text to be more of a 'briefing form'. That is replicated in the second  
blob. Although I don't think we should turn this into an agenda item  
just yet I think that it would be good to not say to much divergent  
things when approached.

	From: 	Alexander Mayrhofer <[email-masked]>
	Subject: 	IETF and the "net4d" proposal
>
> We recently (again) stumbled across a topic that *could* have  
> potential
> to pose a threat to the stability of the internet (particularly the  
> DNS
> namespace), hasn't raised much attention in the IETF so far, but has
> been pushed in Internet Government etc. circles for a while:
>
> It's an initiative called "net4d" http://www.net4d.org/index1.html -
> primarily driven by Dr Francis Muguet of the University of Geneva.
>
> His proposal is (in short) to use the DNS *classes* registration
> process, rather than extending the namespace of the "IN" class with  
> new
> top level domains, and includes proposals such as creating a dedicated
> DNS class for each of the 45 WIPO trademark classes... The proposal  
> aims
> at creating "alternate roots" that are politically independent of  
> ICANN
> (and also the IETF, funny enough - see below).
>
> An introduction is in the slides here:
> http://net4d.org/geneva-may09-slidy.html#%281%29
>
> While his proposal is full of technical flaws (and does not mention  
> that
> rolling that out would probably be magnitudes more effort than
> introducing both IPv6 and DNSSEC) he mostly speaks in front of
> "political" organisations like IGF, ITU WSIS, where he seems to raise
> significant attention among the mostly non-technical attendees -  
> look at
> his schedule of speeches on the homepage - IGF, WSIS, multilingual
> conferences, ITU...
>
> Of course it's mostly about "Anti-ICANN", but the proposal also claims
> that the IETF shouldn't administrate the DNS class registration  
> process
> besides the "IN" class (argumenting that anything that's not  
> "Internet"
> shouldn't be administrated be the "Internet Engineering Task Force"),
> and the class registration process should rather be handed over the  
> the
> ITU/UN (sic!).
>
> Worst of all, he seems to be contracted by the ITU to do an "expert
> mission" on how to "open up competition in the DNS" - giving it a more
> serious touch than a simple white paper:
> http://www.net4d.org/18sep09-index.html
>
> I've never seen anybody within the IETF looking into those proposals
> yet. Clearly, the proposal is technically flawed (especially how to
> access the new namespaces by using class%domain.tld, which obviously
> wouldn't work in most protocols) - but if his proposal gains support  
> on
> the political level (and, for whatever reason, those political forces
> decide to push it), it *could* have the potential to damage the
> stability of the DNS (and therefore an important part of the Internet)
> significantly.
>
> So, my question: Are you aware of anybody in the IETF looking into  
> those
> things, and providing counter-arguments, particularly on the
> "non-technical" level? If not, do you think the IETF should look into
> this, provide counter-arguments, and/or be present in the circles  
> where
> this proposal is being discussed?
>

My response as modified by Patrik and Bill:

> On Friday Sep 18, the International Telecommunication Union's  
> Development Sector (ITU-D) is hosting an Expert Workshop" on  
> "Opening the Namespace infrastructures to Competition". Information  
> about the workshop can be found on the following webpage:
>
> http://net4d.org/18sep09-index.html
>
> Specifically, the workshop is built upon some conceptual work funded  
> under contract by the ITU.  See this webpage for information on the  
> call for proposals:
>
> http://net4d.org/itu-expert-jul09.html
>
> The work was awarded to Dr. Francis Muguet, who is active in the  
> Net4D project (homepage http://www.net4D.org/).
>
> The proposal was previously presented at some WSIS process-related  
> meetings, for example in Geneva in May 2009. On this webpage one can  
> see pointers to version 1.1 of the paper, plus some slides that  
> explains the proposal:
>
> http://net4d.org/net4d-geneva-may09.html
>
> The core of the proposal implies the introduction of "a new class"  
> into the domain name system. A "Class" is one of the three  
> parameters that is used when sending a query to the Domain Name  
> System. The two others are the domain name and the "type" (that  
> specifies what kind of data is requested).  Today on the Internet,  
> the class "IN" is the class that is in use, and it is correct to  
> state that the protocol itself can theoretically handle more than  
> 65000 classes.
>
> So far the paper is factually correct, but there are significant  
> issues not mentioned.
>
> For example, consider the following points:
>
> - Using a "Class" is a well known extension mechanism which would  
> come with some well-understood and documented concerns. See for  
> example section 3.4 in RFC 5507 (Design Choices When Expanding the  
> DNS: http://www.rfc-editor.org/rfc/rfc5507.txt).
>
> - Domain names are used in various places, not only for indicating  
> where a specific web page or web service can be found (HTTP URI,  
> often called a "URL"). Apparently the proposal only looked at HTTP  
> URIs while there are a myriad of other applications that use domain  
> names or protocols that exchange domain name information.  Very  
> thorough specification and thought are needed to make this work  
> generically for any protocol (such as telephony, e-mail and text  
> messaging).
>
> The proposal on how to select the class a specific domain name is to  
> be looked up in (i.e., having a prefix) requires changes in the  
> protocol(s) using domain names as protocol parameters, and if  
> attempted will require _very_ thorough specification and thought.
>
> - In practice each new class will establish a new namespace; hence a  
> new network. See RFC 2826 (IAB Technical Comment on the Unique DNS  
> Root: http://www.ietf.org/rfc/rfc2826.txt) for considerations  
> regarding creation of new namespaces.
>
> The proposal does seem to recognize that  a new class introduces new  
> networks and that conceptually a 'new Internet' is created, however  
> a new CLASS namespace would still run on the Internet and might not  
> be completely separable, which might introduce leakage. There are  
> not only protocol but also operational issues to address.
>
> - The document/proposal is a bit confusing: is the document  
> proposing to conduct an experiment or to launch new network(s) into  
> production? The ICANN recommendations cited are for experiments, not  
> production.  The implications are quite different.
>
> But those are all technical comments and the proposal lists other  
> arguments than technical.  Specifically the paper says:
>
> "If IETF were to decide to block classes assignments to stifle  
> competition, one could legitimately ask why the IETF, whose  
> governance sphere is limited to the Internet, is entitled to assign  
> a class to a network other than his own ie: the Internet. Under  
> international public law, governance and arbitrage between networks  
> should be the responsibility of an international organization such  
> as the International Telecommunication Union, a situation that has  
> been acknowledged by ICANN in its article 4 of incorporation: ICANN  
> “shall operate […] its activities in conformity with relevant  
> principles of international law and applicable international  
> conventions and local law” and “shall corporate as appropriate with  
> relevant international organizations.”
>
> This is unfortunately a straw man proposal that might result in  
> breaking the technical system that underlies the Internet, by just  
> changing the procedures and policies.
>
> The IETF review for the assignment is a technical review.  The IETF  
> will not block assignment to stifle competition. It would only block  
> assignment on the grounds that a technical proposal is not solid.  
> All interested in the continuing stability and functioning of the  
> Internet must hope that Dr Muguet will eventually write a  
> technically solid piece of work that would give him an experimental  
> code point. Then the participants in the Net4D project would see  
> that deployment is not so trivial as they claim, and would be able  
> to discover that in a non-disruptive manner.
>
> However, This straw man proposal seems to prejudge that if the  
> technical review fails, it is not the proposal but the process that  
> is broken, and  thus that procedures and policies should change.
>
> While the IETF has not reviewed this proposal, some people working  
> with DNS in the IETF do not so far see anything in this proposal  
> that has not been discussed before -- and rejected for technical  
> reasons. There might be some new ideas in there somewhere, but a  
> solid technical proposal is needed before proper technical review  
> can start.
>
> The IETF process is open to all.

________________________________________________________

Olaf M. Kolkman                        NLnet Labs
                                      Science Park 140,
http://www.nlnetlabs.nl/               1098 XG Amsterdam

---

From: Olafur Gudmundsson <[email-masked]>
Date: Thu, 24 Sep 2009 10:36:10 -0400

Looks look like we need "Why classes are bad" document
that includes a clear explanation on
         "Why class is not sufficient as separator to allow the use of UTF" .

To me this looks like a power-grab/fishing-expedition by the ITU
and some other parties. I think Iran would love to restrict Internet traffic
to name in IR class :-)

         Olafur

At 05:16 24/09/2009, Olaf Kolkman wrote:
>_______________________________________________
>dns-dir mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/dns-dir